Get Brand
curl --request GET \
--url https://api.urldna.io/v1/brand/{brand_id} \
--header 'authorization: <authorization>'import requests
url = "https://api.urldna.io/v1/brand/{brand_id}"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://api.urldna.io/v1/brand/{brand_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"private_brand": true,
"visibility": "PREMIUM",
"category": "<string>"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}Endpoints
Get Brand
Retrieve detailed information about a specific brand.
GET
/
v1
/
brand
/
{brand_id}
Get Brand
Headers
Path Parameters
Response
Successful Response
Unique brand identifier.
The official name of the brand.
When true, brand is visible only to the creating user.
Defines the access level of the brand data. 'PREMIUM' brands require a subscription to access full intelligence, while 'FREE' brands are publicly available.
Available options:
PREMIUM, FREE The industry sector or vertical the brand belongs to. This is a generic classification such as 'Retail & E-commerce', 'FinTech, Crypto & Blockchain', or 'Technology & Telecom'.
